# vim: set ft=spec: -*- rpm-spec -*-
# $Id: ruby-postgres,v 1.2 2005/12/21 12:06:40 raorn Exp $

%define snapshot 20051221

Name: ruby-postgres
Version: 0.7.1
Release: alt4%{?snapshot:.%snapshot}.0

Summary: PostgreSQL extension for Ruby
License: GPL
Group: Development/Ruby
Url: http://ruby.scripting.ca/postgres/
Packager: Sir Raorn <raorn@altlinux.ru>

Requires: libruby >= 1.8-alt3

Source: %url/archive/%name-%{?snapshot:%snapshot}%{!?snapshot:%version}.tar.gz

#Patch: %name-20050412-alt-documentation.patch

# Automatically added by buildreq on Sat Aug 27 2005
BuildRequires: libruby-devel libssl-devel postgresql-devel ruby

%description
This is the extension library to access a PostgreSQL database
from Ruby. This library works with PostgreSQL 6.4-8.0; it
probably works with 6.3 or earlier with slight modification,
but not tested at all.

%prep
%setup -q %{?snapshot:-n %name}
#patch -p1

%build
%ruby_configure
%make_build

%install
%make_install DESTDIR=%buildroot install
%rdoc postgres.c

%clean

%files
%doc README README.ja ChangeLog doc sample
%ruby_sitearchdir/*
%ruby_ri_sitedir/PG*

%changelog
* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.1-alt4.20051221.0
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Wed Sep 06 2006 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt4.20051221
- Snapshot 20051221
 + fixed PGrow initialization

* Wed Dec 21 2005 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt4.20051220
- Snapshot 20051220

* Sat Aug 27 2005 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt3.20050412
- Snapshot 20050412
- SSL support
- Removed summary/description translations (use specspo)
- Added ri documentation

* Sun Jul 06 2003 Alexander Bokovoy <ab@altlinux.ru> 0.7.1-alt2
- Rebuild against Ruby 1.8-alt3

* Wed Jan 08 2003 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt1
- [0.7.1]

* Tue Nov 19 2002 Alexander Bokovoy <ab@altlinux.ru> 0.7.0-alt2
- Rebuild with new FHS-compliant Ruby package

* Thu Oct 17 2002 Sir Raorn <raorn@altlinux.ru> 0.7.0-alt1
- [0.7.0]

* Wed Oct 16 2002 Sir Raorn <raorn@altlinux.ru> 0.6.5-alt2
- Added missing samples to docs

* Fri Oct 11 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.6.5-alt1.1
- added BuildRequires, Packager & description in russian

* Wed Oct 02 2002 Sir Raorn <raorn@altlinux.ru> 0.6.5-alt1
- Built for Sisyphus



